Time tracking

Get Org Time Tracking Employees

Lists active employees with their time-tracking enablement, country obligation, compliance gaps and templates.

GEThttps://api.toku.com/hris/get-org-time-tracking-employees

Required scope: time:read

curl --request GET \
  --url 'https://api.toku.com/hris/get-org-time-tracking-employees' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "employees": [
    {
      "roleInOrgID": "string",
      "employeeName": "string",
      "workEmail": "string",
      "department": "string",
      "countryCode": "string",
      "countryStatus": "string",
      "autopilotEligible": true,
      "enabled": true,
      "mode": "string",
      "timezone": "string",
      "weeklyHoursLimit": 0,
      "scheduleTemplateID": "string",
      "scheduleTemplateName": "string",
      "effectiveFrom": "string",
      "effectiveTo": "string",
      "isComplianceGap": true,
      "autoEnrolFrom": "string",
      "isTrackingRequired": true,
      "breakPay": {
        "shortBreakPay": "string",
        "mealBreakPay": "string"
      },
      "breakPayEditable": {
        "shortBreakPay": true,
        "mealBreakPay": true
      },
      "breakPayOverride": {
        "shortBreakPay": "string",
        "mealBreakPay": "string",
        "note": "string"
      }
    }
  ],
  "templates": [
    {
      "timeTrackingScheduleTemplateID": "string",
      "name": "string",
      "countryCode": "string"
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

countryCodestring

Available options: ABW, AFG, AGO, AIA, ALA, ALB, AND, ARE, ARG, ARM, ASM, ATA, ATF, ATG, AUS, AUT, AZE, BDI, BEL, BEN, BES, BFA, BGD, BGR, BHR, BHS, BIH, BLR, BLZ, BMU, BOL, BRA, BRB, BRN, BTN, BVT, BWA, CAF, CAN, CCK, CHE, CHL, CHN, CIV, CMR, COD, COG, COK, COL, COM, CPV, CRI, CUB, CUW, CXR, CYM, CYP, CZE, DEU, DJI, DMA, DNK, DOM, DZA, ECU, EGY, ERI, ESH, ESP, EST, ETH, FIN, FJI, FLK, FRA, FRO, FSM, GAB, GBR, GEO, GGY, GHA, GIB, GIN, GLP, GMB, GNB, GNQ, GRC, GRD, GRL, GTM, GUF, GUM, GUY, HKG, HMD, HND, HRV, HTI, HUN, IDN, IMN, IND, IOT, IRL, IRN, IRQ, ISL, ISR, ITA, JAM, JEY, JOR, JPN, KAZ, KEN, KGZ, KHM, KIR, KNA, KOR, KWT, LAO, LBN, LBR, LBY, LCA, LIE, LKA, LSO, LTU, LUX, LVA, MAC, MAF, MAR, MCO, MDA, MDG, MDV, MEX, MHL, MKD, MLI, MLT, MMR, MNE, MNG, MNP, MOZ, MRT, MSR, MTQ, MUS, MWI, MYS, MYT, NAM, NCL, NER, NFK, NGA, NIC, NIU, NLD, NOR, NPL, NRU, NZL, OMN, PAK, PAN, PCN, PER, PHL, PLW, PNG, POL, PRI, PRK, PRT, PRY, PSE, PYF, QAT, REU, ROU, RUS, RWA, SAU, SDN, SEN, SGP, SGS, SHN, SJM, SLB, SLE, SLV, SMR, SOM, SPM, SRB, SSD, STP, SUR, SVK, SVN, SWE, SWZ, SXM, SYC, SYR, TCA, TCD, TGO, THA, TJK, TKL, TKM, TLS, TON, TTO, TUN, TUR, TUV, TWN, TZA, UGA, UKR, UMI, URY, USA, UZB, VAT, VCT, VEN, VGB, VIR, VNM, VUT, WLF, WSM, YEM, ZAF, ZMB, ZWE

filterstring

Available options: ALL, TRACKED, UNTRACKED, REQUIRED_UNTRACKED

searchstring

Allowed: at most 200 characters

Response

200Successful response
employeesobject[]required
Show child attributes
roleInOrgIDstringrequired
employeeNamestringrequired
workEmailstring | nullrequired
departmentstring | nullrequired
countryCodestring | nullrequired
countryStatusstringrequired
autopilotEligiblebooleanrequired
enabledbooleanrequired
modestring | nullrequired
timezonestring | nullrequired
weeklyHoursLimitnumber | nullrequired
scheduleTemplateIDstring | nullrequired
scheduleTemplateNamestring | nullrequired
effectiveFromstring | nullrequired
effectiveTostring | nullrequired
isComplianceGapbooleanrequired
autoEnrolFromstring | nullrequired
isTrackingRequiredbooleanrequired
breakPayobjectrequired
Show child attributes
shortBreakPaystringrequired
mealBreakPaystringrequired
breakPayEditableobjectrequired
Show child attributes
shortBreakPaybooleanrequired
mealBreakPaybooleanrequired
breakPayOverrideobjectrequired
Show child attributes
shortBreakPaystring | nullrequired
mealBreakPaystring | nullrequired
notestring | nullrequired
templatesobject[]required
Show child attributes
timeTrackingScheduleTemplateIDstringrequired
namestringrequired
countryCodestring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits